#!/bin/bash

#パッケージ(tarアーカイブ)の配置先　※絶対パス
PKGDIR=`pwd`/PKG

# サービスTOP
#SRVTOP=Services
#LBTOP=LB
#STORAGETOP=STORAGE
#TOOLTOP=TOOLS
. SETUP/env

#ファイル名
FILENAME=MyServer-Ver0.5.tar.gz


# ストレージ・サービス
mkdir -p ${PKGDIR}/${SRVTOP}/Storage
pushd MyStorageServer
./mkpkg.sh ${PKGDIR}/${SRVTOP}/Storage
popd

# 自動処理
mkdir -p ${PKGDIR}/${SRVTOP}/Function
pushd MyFunction
./mkpkg.sh ${PKGDIR}/${SRVTOP}/Function
popd

mkdir -p ${PKGDIR}/${SRVTOP}/Event
pushd Event
./mkpkg.sh ${PKGDIR}/${SRVTOP}/Event
popd

# IoTサービス
mkdir -p ${PKGDIR}/${SRVTOP}/IoT
pushd MyIoTService
./mkpkg.sh ${PKGDIR}/${SRVTOP}/IoT
popd

# ロードバランサー
mkdir -p ${PKGDIR}/${LBTOP}
pushd LB
./mkpkg.sh ${PKGDIR}/${LBTOP}
popd

# セットアップ
mkdir -p ${PKGDIR}/${TOOLTOP}/SETUP
pushd SETUP
./mkpkg.sh ${PKGDIR}/${TOOLTOP}/SETUP
popd

# ツール類
pushd TOOLS
./mkpkg.sh ${PKGDIR}/${TOOLTOP}
popd

# 起動・停止スクリプト
cp -p start.sh ${PKGDIR}/
cp -p stop.sh ${PKGDIR}/
cp -p setup.sh ${PKGDIR}/


# データ領域
mkdir -p ${PKGDIR}/data

# ログ領域
mkdir -p ${PKGDIR}/log

echo "#!/bin/bash
${TOOLTOP}/SETUP/setup.sh
${TOOLTOP}/SETUP/genconfig.sh
. ./myserver.env
ln -sf ${TOOLTOP}/SETUP/config/cmd \${MYSERVER_ROOT}/cmd
" > ${PKGDIR}/setup.sh
chmod +x ${PKGDIR}/setup.sh

# アーカイブ作成
pushd ${PKGDIR}
rm -f $FILENAME
tar zcf /tmp/$FILENAME .
mv /tmp/$FILENAME .
popd

